commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Torsten Curdt (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (JCI-59) [JCI] Eclipse compiler is unable to compile additional top-level classes
Date Fri, 13 May 2011 08:21:47 GMT

     [ https://issues.apache.org/jira/browse/JCI-59?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Torsten Curdt updated JCI-59:
-----------------------------

    Fix Version/s: 1.1
         Assignee: Torsten Curdt

Thanks for the test case

> [JCI] Eclipse compiler is unable to compile additional top-level classes
> ------------------------------------------------------------------------
>
>                 Key: JCI-59
>                 URL: https://issues.apache.org/jira/browse/JCI-59
>             Project: Commons JCI
>          Issue Type: Bug
>          Components: compiler eclipse
>    Affects Versions: 1.1
>            Reporter: Jingkei Ly
>            Assignee: Torsten Curdt
>             Fix For: 1.1
>
>         Attachments: JCI-59-testcase-1.patch
>
>
> When using the Eclipse compiler, I am unable to compile additional top-level classes.
For example,
> {code}
> package jci;
> public class Simple {
>     public String toString() {
>           return \"Simple\";
>      }
> }
>  class AdditionalTopLevel {
>        public String toString() {
>             return \"AdditionalTopLevel\";
>        }
> }
> {code}
> Causes the compile error: The type AdditionalTopLevel collides with a package.
> This works fine with the Javac compiler and the Janino compiler.
>                         

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message